Bug 1468496 - (CVE-2017-10806) CVE-2017-10806 Qemu: usb-redirect: stack buffer overflow in debug logging
CVE-2017-10806 Qemu: usb-redirect: stack buffer overflow in debug logging
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170512,reported=2...
: Security
Depends On: 1468497
Blocks: 1449492
  Show dependency treegraph
 
Reported: 2017-07-07 05:07 EDT by Prasad J Pandit
Modified: 2017-07-25 17:27 EDT (History)
40 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2017-07-07 05:07:26 EDT
Quick emulator(Qemu) built with the USB redirector support is vulnerable to a
stack buffer overflow flaw. It could occur while logging debug messages when
the debug mode is enabled in the device.

A user/process could use this flaw to crash the Qemu process on the host
resulting in DoS.

Upstream patch:
---------------
  -> https://lists.nongnu.org/archive/html/qemu-devel/2017-05/msg03087.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/07/07/1
Comment 1 Prasad J Pandit 2017-07-07 05:08:04 EDT
Acknowledgments:

Name: Li Qiang (Qihoo 360 Gear Team)
Comment 2 Prasad J Pandit 2017-07-07 05:09:15 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1468497]
Comment 3 Fedora Update System 2017-07-25 17:27:46 EDT
qemu-2.7.1-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.